﻿#include <avr/io.h>
#include <util/delay.h>
#include "Seg_lib.h"
#include "uart.h"
#include <stdio.h>

FILE mystdout = FDEV_SETUP_STREAM(uart_putc, NULL, _FDEV_SETUP_WRITE);

#ifndef F_CPU
#define F_CPU 16000000UL
#endif

int main() 
{
    segment_display_init();
    uart_init(); // Inicializácia UARTU
    stdout = &mystdout; // Nasmerovanie stdout

    char ReceivedChar;

    printf("Starting... You can now type your letter & numbers\r"); // Testovanie komunikácie

	// matica s funkciami písmen
	void (*abeceda[26])() = {
    seg_A, seg_B, seg_C, seg_D, seg_E, seg_F, seg_G, seg_H, seg_I, seg_J, seg_K, 
	seg_L, seg_M, seg_N, seg_O, seg_P, seg_Q, seg_R, seg_S, seg_T, seg_U, seg_V, 
	seg_W, seg_X, seg_Y, seg_Z, 
	}; 
	// matica s funkciami čísel
	void (*cislice[10])() = {
	seg_0, seg_1, seg_2, seg_3, seg_4, seg_5, seg_6, seg_7, seg_8, seg_9,  
	}; 
    while(1) 
    {
        ReceivedChar = uart_getc( );    
        if (ReceivedChar >= 'A' && ReceivedChar <= 'Z') 
		{ 
            uint8_t index = ReceivedChar - 'A'; //definícia indexu v matici
            abeceda[index]();
        }
		if (ReceivedChar >= 'a' && ReceivedChar <= 'z') 
		{ 
            uint8_t index = ReceivedChar - 'a'; //definícia indexu v matici
            abeceda[index]();
        }
		if (ReceivedChar >= '0' && ReceivedChar <= '9') 
		{
			uint8_t index = ReceivedChar - '0'; //definícia indexu v matici
			cislice[index]();
        }
		if (ReceivedChar == '*')
		{
			seg_hviezda();	
		}
		if (ReceivedChar == '!')
		{
			seg_vykrcnik();	
		}
		if (ReceivedChar == '?')
		{
			seg_otaznik();	
		}
    }
    return 0;
}
